package com.sheep.gamegroup.model.entity;


import java.util.Locale;

/**
 * Created by realicing on 2018/5/9.
 * realicing@sina.com
 */
public class RechargeBalanceLog implements ILog{
    private int UserId;

    private int PayType;

    private float Amount;

    private int CreateTime;

    private int UpdateTime;

    private String ThirdNo;

    private String OrderNo;

    private int Id;

    private int Status;

    private boolean isSelect;

    public boolean isSelect() {
        return isSelect;
    }

    public void setSelect(boolean select) {
        isSelect = select;
    }

    public void setUserId(int UserId){
        this.UserId = UserId;
    }
    public int getUserId(){
        return this.UserId;
    }
    public void setPayType(int PayType){
        this.PayType = PayType;
    }
    public int getPayType(){
        return this.PayType;
    }
    public void setAmount(float Amount){
        this.Amount = Amount;
    }
    public float getAmount(){
        return this.Amount;
    }
    public void setCreateTime(int CreateTime){
        this.CreateTime = CreateTime;
    }
    public int getCreateTime(){
        return this.CreateTime;
    }
    public void setUpdateTime(int UpdateTime){
        this.UpdateTime = UpdateTime;
    }
    public int getUpdateTime(){
        return this.UpdateTime;
    }
    public void setThirdNo(String ThirdNo){
        this.ThirdNo = ThirdNo;
    }
    public String getThirdNo(){
        return this.ThirdNo;
    }
    public void setOrderNo(String OrderNo){
        this.OrderNo = OrderNo;
    }
    public String getOrderNo(){
        return this.OrderNo;
    }
    public void setId(int Id){
        this.Id = Id;
    }
    public int getId(){
        return this.Id;
    }
    public void setStatus(int Status){
        this.Status = Status;
    }
    public int getStatus(){
        return this.Status;
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof RechargeBalanceLog && ((RechargeBalanceLog) obj).Id == Id;
    }
    @Override
    public String getStateText() {
        return "充值成功";
    }

    @Override
    public String getEventText() {
        return String.format(Locale.CHINA,"充值金额%.2f元", Amount);
    }

    @Override
    public boolean isEventSuccess() {
        return true;
    }

    @Override
    public long getEventTime() {
        return UpdateTime;
    }

    @Override
    public void isSelect(boolean b) {
        setSelect(b);
    }

    @Override
    public boolean getSelect() {
        return isSelect();
    }
}